Name:           cwiid
Version:        0.6
Release:        201
Summary:        wii bluetooth interface that supports wth wiimote+
Group:          Amusements/Games
License:        GPLv2+ and Freely redistributable without restriction
URL:            http://abstrakraft.org/cwiid/
Source0:        cwiid.tar.gz
#Patch0:         zasx-1.30-fixes.patch
#Patch1:         zasx-1.30-datadir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  bison gtk2-devel autogen autoconf bluez-libs-devel
Requires:       bluez bluez-libs

%description
use your wiimote

%prep
%setup -q -n cwiid

%build
autoreconf
./configure --disable-ldconfig
echo %{_prefix}
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
chmod -Rf 777 $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
/etc/cwiid/wminput/nunchuk_stick2btn
/etc/cwiid/wminput/nunchuk_acc_ptr
/etc/cwiid/wminput/gamepad
/etc/cwiid/wminput/acc_led
/etc/cwiid/wminput/acc_ptr
/etc/cwiid/wminput/neverball
/etc/cwiid/wminput/buttons
/etc/cwiid/wminput/ir_ptr
/etc/cwiid/wminput/default
/share/doc/cwiid/Xmodmap
/share/doc/cwiid/wminput.list
/share/man/man1/wmgui.1
/share/man/man1/wminput.1
/lib/libcwiid.so.1.0
/lib/libcwiid.a
/lib/libcwiid.so
/lib/libcwiid.so.1
/lib/python2.6/site-packages/cwiid-0.6.00-py2.6.egg-info
/lib/python2.6/site-packages/cwiid.so
/lib/pkgconfig/cwiid.pc
/lib/cwiid/plugins/acc.so
/lib/cwiid/plugins/ir_ptr.so
/lib/cwiid/plugins/led.so
/lib/cwiid/plugins/nunchuk_stick2btn.so
/lib/cwiid/plugins/nunchuk_acc.so
/include/cwiid.h
/bin/wmgui
/bin/lswm
/bin/wminput

%changelog
* Fri Sep 18 2009 Michael Gregg <mgregg@michaelgregg.com> - 0.6-201
- Rebuilt for Fedora 11 from "bleeding edge" code from svn

